# IClipInstance Struct Reference

Inheritance diagram for IClipInstance:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Initialize ()=0
virtual void MCCOMAPI | GetName (TMCString &name)=0
virtual IClipTrack *MCCOMAPI | GetTrack () const =0
virtual I3DShMasterClip *MCCOMAPI | GetMasterClip () const =0
virtual void MCCOMAPI | SetTimeRange (MicroTick start, MicroTick end)=0
virtual void MCCOMAPI | SetBlendStartTime (MicroTick start)=0
virtual void MCCOMAPI | SetBlendEndTime (MicroTick end)=0
virtual void MCCOMAPI | TranslateClip (MicroTick offset)=0
virtual MicroTick MCCOMAPI | GetStartTime () const =0
virtual MicroTick MCCOMAPI | GetEndTime () const =0
virtual MicroTick MCCOMAPI | GetStartBlendTime () const =0
virtual MicroTick MCCOMAPI | GetEndBlendTime () const =0
virtual real32 MCCOMAPI | GetClipSpeed () const =0
virtual void MCCOMAPI | SetClipSpeed (real32 speed)=0
virtual MicroTick MCCOMAPI | GetClipReference () const =0
virtual void MCCOMAPI | SetClipReference (MicroTick offset)=0
virtual boolean MCCOMAPI | IsClipReferenceLocked () const =0
virtual boolean MCCOMAPI | GetClipReverse () const =0
virtual void MCCOMAPI | SetClipReverse (boolean reverse)=0
virtual boolean MCCOMAPI | HasBlendHandle (boolean leftOrRight) const =0
virtual void MCCOMAPI | SetExtraSmoothBlend (boolean enable)=0
virtual MicroTick MCCOMAPI | GetDuration () const =0
virtual TMCRGBColor MCCOMAPI | GetColor () const =0
virtual boolean MCCOMAPI | Loop () const =0
virtual uint32 MCCOMAPI | GetUniqueId ()=0
virtual MicroTick MCCOMAPI | GetLoopSectionDuration () const =0
virtual boolean MCCOMAPI | IsInEditMode () const =0
virtual void MCCOMAPI | ApplyChanges (boolean finished)=0
virtual void MCCOMAPI | RemoveFromTrack ()=0
virtual void MCCOMAPI | ChangeTrack (IClipTrack *track)=0
virtual IClipInstance *MCCOMAPI | GetPrevious ()=0
virtual IClipInstance *MCCOMAPI | GetNext ()=0
virtual void MCCOMAPI | CloneClipInstance (IClipInstanceCopy **copy)=0
virtual boolean MCCOMAPI | PostEditModeAction (boolean enterEditMode)=0
virtual boolean MCCOMAPI | GetEditModeAction (IShAction **action, boolean enterEditMode)=0

## Member Function Documentation

virtual void MCCOMAPI IClipInstance::ApplyChanges | ( | boolean | finished | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::ChangeTrack | ( | IClipTrack * | track | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::CloneClipInstance | ( | IClipInstanceCopy ** | copy | ) | `[pure virtual]`

virtual MicroTick MCCOMAPI IClipInstance::GetClipReference | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IClipInstance::GetClipReverse | ( |  | ) | const`[pure virtual]`

virtual real32 MCCOMAPI IClipInstance::GetClipSpeed | ( |  | ) | const`[pure virtual]`

virtual TMCRGBColor MCCOMAPI IClipInstance::GetColor | ( |  | ) | const`[pure virtual]`

virtual MicroTick MCCOMAPI IClipInstance::GetDuration | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IClipInstance::GetEditModeAction | ( | IShAction ** | action,
|  | boolean | enterEditMode |
| ) |  |  | `[pure virtual]`

virtual MicroTick MCCOMAPI IClipInstance::GetEndBlendTime | ( |  | ) | const`[pure virtual]`

virtual MicroTick MCCOMAPI IClipInstance::GetEndTime | ( |  | ) | const`[pure virtual]`

virtual MicroTick MCCOMAPI IClipInstance::GetLoopSectionDuration | ( |  | ) | const`[pure virtual]`

virtual I3DShMasterClip* MCCOMAPI IClipInstance::GetMasterClip | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IClipInstance::GetName | ( | TMCString & | name | ) | `[pure virtual]`

virtual IClipInstance* MCCOMAPI IClipInstance::GetNext | ( |  | ) | `[pure virtual]`

virtual IClipInstance* MCCOMAPI IClipInstance::GetPrevious | ( |  | ) | `[pure virtual]`

virtual MicroTick MCCOMAPI IClipInstance::GetStartBlendTime | ( |  | ) | const`[pure virtual]`

virtual MicroTick MCCOMAPI IClipInstance::GetStartTime | ( |  | ) | const`[pure virtual]`

virtual IClipTrack* MCCOMAPI IClipInstance::GetTrack | ( |  | ) | const`[pure virtual]`

virtual uint32 MCCOMAPI IClipInstance::GetUniqueId | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IClipInstance::HasBlendHandle | ( | boolean | leftOrRight | ) | const`[pure virtual]`

virtual void MCCOMAPI IClipInstance::Initialize | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IClipInstance::IsClipReferenceLocked | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IClipInstance::IsInEditMode | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IClipInstance::Loop | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IClipInstance::PostEditModeAction | ( | boolean | enterEditMode | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::RemoveFromTrack | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::SetBlendEndTime | ( | MicroTick | end | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::SetBlendStartTime | ( | MicroTick | start | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::SetClipReference | ( | MicroTick | offset | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::SetClipReverse | ( | boolean | reverse | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::SetClipSpeed | ( | real32 | speed | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::SetExtraSmoothBlend | ( | boolean | enable | ) | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::SetTimeRange | ( | MicroTick | start,
|  | MicroTick | end |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IClipInstance::TranslateClip | ( | MicroTick | offset | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- NLAInterfaces.h